#
# spec file for package libvisual-plugins
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libvisual-plugins
BuildRequires:  esound-devel freeglut-devel gcc-c++ gtk2-devel jack-devel libdrm-devel libvisual-devel
BuildRequires:  bison libtool
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Visualization
Version:        0.4.0
Release:        251.16
Summary:        Sound Visualization Library Plug-Ins
Url:            http://localhost.nl/~synap/libvisual/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name-%version.tar.bz2
Patch1:         libvisual-plugins-asmfix.patch
Patch2:         %name-%version.patch
Patch3:         %name-buffer-overflow.patch

%description
Libvisual is a library that acts as a middle layer between applications
that need audio visualization and audio visualization plug-ins. This
package contains various plug-ins like:

* bumpscope

* dna

* infinite

* jakdaw

* lv_analyzer

* lv_gltest

* lv_scope

* madspin

* oinksie

* plazma



Authors:
--------
    Dennis Smit <synap@nerds-incorporated.org>
    Duilio J. Protti <dprotti@users.sourceforge.net>
    Vitaly V. Bursov <vitalyb@mail333.com>
    Gustavo Sverzut Barbieri <gsbarbieri@yahoo.com.br>
    Remi Arquier <arquier@crans.org>

%prep
%setup -q
%patch1
%patch2
%patch3

%build
gettextize -f
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -Wall -fno-strict-aliasing -fstack-protector"
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
# remove .mo files, as libvisual doesn't package them at the moment.
rm -rf $RPM_BUILD_ROOT/%_datadir/locale

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog NEWS TODO COPYING
%_libdir/libvisual-0.4
%_datadir/libvisual-plugins-0.4

%changelog
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Fri Aug  3 2007 dmueller@suse.de
- build without goom2k4
* Fri Mar 30 2007 dmueller@suse.de
- update buildrequires
* Thu Mar 15 2007 dmueller@suse.de
- add patch to fix array overrun (#244546)
* Mon Sep 25 2006 mskibbe@suse.de
- fix 64 - Bit Bug
* Mon Sep 11 2006 mskibbe@suse.de
- fix compiler warinings and build errors
* Mon Aug  7 2006 cthiel@suse.de
- fix build
* Wed Jul  5 2006 cthiel@suse.de
- update to version 0.4.0
  * ESD won't block anylonger, solved with a select timeout.
  * NastyFFT: Adding new actor plugin.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 hvogel@suse.de
- Make use of Stack Protector
* Wed Nov 30 2005 hvogel@suse.de
- use -fno-strict-aliasing, fix some uninitialized variables
* Thu Jun 23 2005 hvogel@suse.de
- fix libpath in libtool files
* Mon May 16 2005 ro@suse.de
- use -mmmx on x86
* Thu Apr 28 2005 hvogel@suse.de
- fix asm code in display.c
* Tue Apr 26 2005 hvogel@suse.de
- dont return random data
* Thu Apr 14 2005 sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Wed Feb 16 2005 hvogel@suse.de
- update to 0.2.0 final
* Wed Feb  2 2005 hvogel@suse.de
- update to latest CVS (upcomming 0.2.0)
* Wed Jan 26 2005 ro@suse.de
- replaced libgoom2 with goom2k4 (package renamed)
* Tue Nov 16 2004 hvogel@suse.de
- add libgoom2 to nfb
* Thu Nov 11 2004 hvogel@suse.de
- Initial Package, Version 0.1.7
